Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Interface Tuple

    public interface Tuple

Interface for extracting the elements of a query result tuple.

Since:
  Java Persistence 2.0
See Also:
  `TupleElement`

Method Summary
`java.lang.Object` | `get(int i)` Get the value of the element at the specified position in the result tuple.
`
`<X> X`
` | `get(int i, java.lang.Class<X> type)` Get the value of the element at the specified position in the result tuple.
`java.lang.Object` | `get(java.lang.String alias)` Get the value of the tuple element to which the specified alias has been assigned.
`
`<X> X`
` | `get(java.lang.String alias, java.lang.Class<X> type)` Get the value of the tuple element to which the specified alias has been assigned.
`
`<X> X`
` | `get(TupleElement<X> tupleElement)` Get the value of the specified tuple element.
`java.util.List<TupleElement<?>>` | `getElements()` Return the tuple elements.
`java.lang.Object[]` | `toArray()` Return the values of the result tuple elements as an array.

Method Detail

### get

    <X> X get(TupleElement<X> tupleElement)

  Get the value of the specified tuple element.

  Parameters:
    `tupleElement` - tuple element
  Returns:
    value of tuple element
  Throws:
    `java.lang.IllegalArgumentException` - if tuple element does not correspond to an element in the query result tuple

### get

    <X> X get(java.lang.String alias,
              java.lang.Class<X> type)

  Get the value of the tuple element to which the specified alias has been assigned.

  Parameters:
    `alias` - alias assigned to tuple element
    `type` - of the tuple element
  Returns:
    value of the tuple element
  Throws:
    `java.lang.IllegalArgumentException` - if alias does not correspond to an element in the query result tuple or element cannot be assigned to the specified type

### get

    java.lang.Object get(java.lang.String alias)

  Get the value of the tuple element to which the specified alias has been assigned.

  Parameters:
    `alias` - alias assigned to tuple element
  Returns:
    value of the tuple element
  Throws:
    `java.lang.IllegalArgumentException` - if alias does not correspond to an element in the query result tuple

### get

    <X> X get(int i,
              java.lang.Class<X> type)

  Get the value of the element at the specified position in the result tuple. The first position is 0.

  Parameters:
    `i` - position in result tuple
    `type` - type of the tuple element
  Returns:
    value of the tuple element
  Throws:
    `java.lang.IllegalArgumentException` - if i exceeds length of result tuple or element cannot be assigned to the specified type

### get

    java.lang.Object get(int i)

  Get the value of the element at the specified position in the result tuple. The first position is 0.

  Parameters:
    `i` - position in result tuple
  Returns:
    value of the tuple element
  Throws:
    `java.lang.IllegalArgumentException` - if i exceeds length of result tuple

### toArray

    java.lang.Object[] toArray()

  Return the values of the result tuple elements as an array.

  Returns:
    tuple element values

### getElements

    java.util.List<TupleElement<?>> getElements()

  Return the tuple elements.

  Returns:
    tuple elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD